音频转录
将音频转换为文本
POST
/v1/audio/transcriptions音频转录
将音频转换为文本
鉴权: 使用 Bearer Token 认证。 格式: `Authorization: Bearer sk-xxxxxx`
请求体
必填
Content-Type: multipart/form-data
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
file | string | 是 | 音频文件 格式: binary |
model | string | 是 | 示例: "whisper-1" |
language | string | ISO-639-1 语言代码 | |
prompt | string | ||
response_format | string | 可选值: json, text, srt, verbose_json, vtt;默认: "json" | |
temperature | number | ||
timestamp_granularities | array<string> | ||
[] | string | 可选值: word, segment |
示例代码
curl -X POST "https://api.nodeprice.com/v1/audio/transcriptions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"file": "string",
"model": "string",
"language": "string",
"prompt": "string",
"response_format": "json",
"temperature": 0,
"timestamp_granularities": [
"word"
]
}'const url = "https://api.nodeprice.com/v1/audio/transcriptions";
const body = {
"file": "string",
"model": "string",
"language": "string",
"prompt": "string",
"response_format": "json",
"temperature": 0,
"timestamp_granularities": [
"word"
]
};
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify(body)
});
console.log(await response.text());package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.nodeprice.com/v1/audio/transcriptions"
body := strings.NewReader(`{
"file": "string",
"model": "string",
"language": "string",
"prompt": "string",
"response_format": "json",
"temperature": 0,
"timestamp_granularities": [
"word"
]
}`)
req, err := http.NewRequest("POST", url, body)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(data))
}import requests
url = "https://api.nodeprice.com/v1/audio/transcriptions"
body = """{
"file": "string",
"model": "string",
"language": "string",
"prompt": "string",
"response_format": "json",
"temperature": 0,
"timestamp_granularities": [
"word"
]
}"""
response = requests.request("POST", url, data=body, headers={
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
})
print(response.text)OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n"
+ " \"file\": \"string\",\n"
+ " \"model\": \"string\",\n"
+ " \"language\": \"string\",\n"
+ " \"prompt\": \"string\",\n"
+ " \"response_format\": \"json\",\n"
+ " \"temperature\": 0,\n"
+ " \"timestamp_granularities\": [\n"
+ " \"word\"\n"
+ " ]\n"
+ "}");
Request request = new Request.Builder()
.url("https://api.nodeprice.com/v1/audio/transcriptions")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer <token>")
.build();
Response response = client.newCall(request).execute();
System.out.println(response.body().string());#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl == NULL) {
return 1;
}
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/v1/audio/transcriptions");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n"
+ " \"file\": \"string\",\n"
+ " \"model\": \"string\",\n"
+ " \"language\": \"string\",\n"
+ " \"prompt\": \"string\",\n"
+ " \"response_format\": \"json\",\n"
+ " \"temperature\": 0,\n"
+ " \"timestamp_granularities\": [\n"
+ " \"word\"\n"
+ " ]\n"
+ "}");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode code = curl_easy_perform(curl);
if (code != CURLE_OK) {
fprintf(stderr, "%s\n", curl_easy_strerror(code));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return 0;
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.nodeprice.com/v1/audio/transcriptions");
request.Headers.Add("Authorization", "Bearer <token>");
request.Content = new StringContent("{\n"
+ " \"file\": \"string\",\n"
+ " \"model\": \"string\",\n"
+ " \"language\": \"string\",\n"
+ " \"prompt\": \"string\",\n"
+ " \"response_format\": \"json\",\n"
+ " \"temperature\": 0,\n"
+ " \"timestamp_granularities\": [\n"
+ " \"word\"\n"
+ " ]\n"
+ "}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
}
}响应
200 成功转录
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
text | string |